package com.alternative;

import javax.interceptor.InterceptorBinding;
import java.lang.annotation.Documented;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @author Roman Boris
 * @since 3/21/12
 */
@InterceptorBinding
@Target({METHOD, TYPE})
@Retention(RUNTIME)
@Documented
@Inherited
public @interface ServiceExceptionHandler
{
}
